id: spf-record-detect

info:
  name: SPF Record - Detection
  author: rxerium
  severity: info
  description: |
    An SPF TXT record was detected
  reference:
    - https://www.mimecast.com/content/how-to-create-an-spf-txt-record
  metadata:
    max-request: 1
  tags: dns,spf
dns:
  - name: "{{FQDN}}"
    type: TXT
    matchers:
      - type: word
        words:
          - "v=spf1"

    extractors:
      - type: regex
        regex:
          - "v=spf1(.+)"
# digest: 490a00463044022100b2163a21e2838817fcfec0348b08f6e999fca01e5c53b033a4d1a9429663a201021f4631ecb08a5534f9b8df341053969608fddef88c2093f819b635f25a55ba46:922c64590222798bb761d5b6d8e72950